PieTestDriver (jCharts-0.7.5 API)
Keywords: org.jCharts.test.PieTestDriver,PieTestDriver class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jCharts.test
Class PieTestDriver

    java.lang.Object
      |
      +--org.jCharts.test.PieTestDriver

abstract class PieTestDriver
extends java.lang.Object

This file provides examples of how to create all the different chart types provided by this package.

Constructor Summary
`(package private)` | `PieTestDriver()`

Method Summary
`private static PieChartDataSet` | `getPieChartDataSet(int numToCreate, int minValue, int maxValue)` Generates a random NonAxisChartDataSet
`static void` | `main(java.lang.String[] args)`
`(package private) static void` | `test()` Test for PieChart2D

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PieTestDriver

    PieTestDriver()

Method Detail

### test

    static void test()
              throws ChartDataException,
                     PropertyException

  Test for PieChart2D

  Throws:
    `ChartDataException`
    `PropertyException`

### getPieChartDataSet

    private static PieChartDataSet getPieChartDataSet(int numToCreate,
                                                      int minValue,
                                                      int maxValue)
                                               throws ChartDataException

  Generates a random NonAxisChartDataSet

  Parameters:
    `numToCreate` - the number of doubles to generate
    `minValue` -
    `maxValue` -
  Returns:
    PieChartDataSet
    `ChartDataException`

### main

    public static void main(java.lang.String[] args)
                     throws ChartDataException,
                            PropertyException

    `ChartDataException`
    `PropertyException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD